Fedora 29 : php (2019-8c4b25b5ec)

Medium Nessus Plugin ID 125787

Synopsis

The remote Fedora host is missing a security update.

Description

**PHP version 7.2.19** (30 May 2019)

**EXIF:**

- Fixed bug php#77988 (heap-buffer-overflow on php_jpg_get16). (CVE-2019-11040) (Stas)

**FPM:**

- Fixed bug php#77934 (php-fpm kill -USR2 not working).
(Jakub Zelenka)

- Fixed bug php#77921 (static.php.net doesn't work anymore). (Peter Kokot)

**GD:**

- Fixed bug php#77943 (imageantialias($image, false); does not work). (cmb)

- Fixed bug php#77973 (Uninitialized read in gdImageCreateFromXbm). (CVE-2019-11038) (cmb)

**Iconv:**

- Fixed bug php#78069 (Out-of-bounds read in iconv.c:_php_iconv_mime_decode() due to integer overflow). (CVE-2019-11039). (maris dot adam)

**JSON:**

- Fixed bug php#77843 (Use after free with json serializer). (Nikita)

**Opcache:**

- Fixed possible crashes, because of inconsistent PCRE cache and opcache SHM reset. (Alexey Kalinin, Dmitry)

**PDO_MySQL:**

- Fixed bug php#77944 (Wrong meta pdo_type for bigint on LLP64). (cmb)

**Reflection:**

- Fixed bug php#75186 (Inconsistent reflection of Closure:::__invoke()). (Nikita)

**Session:**

- Fixed bug php#77911 (Wrong warning for session.sid_bits_per_character). (cmb)

**SPL:**

- Fixed bug php#77024 (SplFileObject::__toString() may return array). (Craig Duncan)

**SQLite:**

- Fixed bug php#77967 (Bypassing open_basedir restrictions via file uris). (Stas)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora update system website.
Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected php package.

See Also

https://bodhi.fedoraproject.org/updates/FEDORA-2019-8c4b25b5ec

Plugin Details

Severity: Medium

ID: 125787

File Name: fedora_2019-8c4b25b5ec.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2019/06/10

Updated: 2019/06/21

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:P

CVSS v3.0

Base Score: 9.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:php, cpe:/o:fedoraproject:fedora:29

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2019/06/08

Vulnerability Publication Date: 2019/06/19

Reference Information

CVE: CVE-2019-11038, CVE-2019-11039, CVE-2019-11040